Subject: Re: bug#20294: 25.0.50; Make Emacs work with GnuTLS 3.4.0 on MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Apr 2015 15:41:07 +0300

> Date: Sat, 11 Apr 2015 20:35:34 +0800
> Cc: [email-masked]
> From: Chris Zheng <[email-masked]>
> 
> > No, because libgnutls-30.dll exports a binary-incompatible ABI (that's
> > why its name changes in the first place).  Just adding that DLL will
> > cause Emacs compiled against an older GnuTLS to try loading the new
> > DLL, or vice versa, which will most probably crash at run time.
> Sorry I don't know it.
> > Instead, we need to introduce a libgnutls-version variable, whose
> > value depends on the version of GnuTLS as conveyed by version-related
> > macros in the GnuTLS headers, and insert into dynamic-library-alist
> > the DLL whose name matches the version with which Emacs was compiled,
> > like we do with several image libraries.
> According to your suggestion, I've reverted the patch.  Can this one
> be the starting point?

Looks good to me.  Did you test this with both the previous and the
new versions of GnuTLS?

Thanks.